#include <iostream>
using namespace std;
#define ll long long
main(){
	ll M,N,A,RES=0,k=0,l=0;
	scanf("%lli%lli",&N,&M);
	string a[N][M];
	for(int i=0;i<N;i++)
	{
		scanf("%lli",&A);
		if(A==M-A){
			for(int j=0;j<M;j++)
			{
				if(j>=M-A)
					a[i][j]=".";
					else
						a[i][j]="#";
			
			}
			
			
		}
		else if(A==M){
				for(int j=0;j<M;j++)
				{
					a[i][j]=".";
				}
	}
		else if(A>M-A){
			for(int j=0;j<M;j++)
			{
				if(j>M-A)
					a[i][j]=".";
					else
						a[i][j]="#";
			
			}
		}
			else if(A<M-A){
				for(int j=0;j<M;j++){
					if(j<A)
						a[i][j]="#";
						else
							a[i][j]=".";
					
					
				}
				
				
			}
			
			
		
		
	}
	for(int j=0;j<M;j++){
		k=0;
		l=0;
		for(int i=0;i<N;i++){
			if(a[i][j]=="#")
				k++;
			else
				l++;
			
			
		}
		RES=RES+k*l;	
	}
	printf("%lli",RES);
	
}